Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.portlet
Class PortletPresentationContext

    java.lang.Object
      ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.WindowPresentationContext
                  com.bea.netuix.servlets.controls.portlet.PortletPresentationContext

Direct Known Subclasses:
  ProxyPortletPresentationContext, WebflowPresentationContext

    public class PortletPresentationContext

extends WindowPresentationContext

This class represents a portal portlet component. All presentation-related attributes of a portlet component are available from instances of this class. Such instances are typically used during portal rendering via look and feel skeleton files (e.g. window.jsp).

Depending on the context of invocation of this classes methods, some may throw `UnsupportedOperationException`. Such contexts include within remote WSRP portlets. All methods should function normally for locally rendered portlets.

See Also
  `getPortletPresentationContext(HttpServletRequest)`

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`CLASS_NAME`

Constructor Summary
`protected` | `PortletPresentationContext()`

Method Summary
`String` | `getInstanceLabel()` Return the instance label for the portlet.
`String` | `getLabel()` Return the unique label for the portlet.
`PagePresentationContext` | `getPagePresentationContext()` Return the portlets parent PagePresentationContext.
`PortletPreferences` | `getPortletPreferences(HttpServletRequest request)` Returns a read-only copy of preferences for this portlet.
`static PortletPresentationContext` | `getPortletPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the current `PortletPresentationContext`.
`String` | `getPortletUri()` Getter for the portlet's URI.`Example: /portlets/myportlet/myportlet.portlet`
`PortletPreferences` | `getPreferences(HttpServletRequest request)` Deprecated Use getPortletPreferences instead
`boolean` | `isAsyncContent()` Is the portlet set up to render asynchronously?
`boolean` | `isCapable(Capability capability)` Returns `true` if this control has the specified capability.
`boolean` | `isContentOnly()` This field only applies to async portlets.
`boolean` | `isDefaultMinimized()` Returns the value for `defaultMinimized`.``

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getCapability, getContentAttributeRenderer, getContentPresentationClass, getContentPresentationContextChildren, getContentPresentationStyle, getDefinitionId, getDefinitionLabel, getInstanceId, getMetaData, getMetaDatas, getOrientation, getParentPagePresentationContext, getPreviousWindowMode, getThemePresentationContext, getTitle, getTitlebarPresentationContext, getWindowMode, getWindowPresentationContext, getWindowState, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletPresentationContext

    protected PortletPresentationContext()

Method Detail

### getInstanceLabel

    public String getInstanceLabel()

  Return the instance label for the portlet. This is a unique identifier for the portlet.

  Returns
    The portlet's instance label

### getLabel

    public String getLabel()

  Return the unique label for the portlet. For portlets this is the same as calling `getInstanceLabel()`.

  Specified by:
    `getLabel` in class `WindowPresentationContext`
  Returns
    The portlet's unique label

### getPortletUri

    public String getPortletUri()

  Getter for the portlet's URI.`Example: /portlets/myportlet/myportlet.portlet`

  Returns
    A String containing the portlets uri.

### isDefaultMinimized

    public boolean isDefaultMinimized()

  Returns the value for `defaultMinimized`.

  ``

### getPortletPresentationContext

    public static PortletPresentationContext getPortletPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the current `PortletPresentationContext`. Note this method will only work if called from within a portal (typically, from the window.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current PortletPresentationContext, if any

### getPortletPreferences

    public PortletPreferences getPortletPreferences(HttpServletRequest request)

  Returns a read-only copy of preferences for this portlet.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    The read-only preferences instance

### getPreferences

    public PortletPreferences getPreferences(HttpServletRequest request)

  Deprecated Use getPortletPreferences instead

  Returns a read-only copy of preferences for this portlet.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    The read-only preferences instance

### isCapable

    public boolean isCapable(Capability capability)

  Returns `true` if this control has the specified capability.

  Overrides:
    `isCapable` in class `WindowPresentationContext`
  Parameters
    `capability` - A window mode or state
  See Also
    `WindowCapabilities`

### isAsyncContent

    public boolean isAsyncContent()

  Is the portlet set up to render asynchronously?

  Returns
    true if the `asyncContent` property on the portlet is configured to anything besides "none".

### isContentOnly

    public boolean isContentOnly()

  This field only applies to async portlets. This method returns true for the async request that actually renders the portlet content, and false for the "original" portal request that renders the main portal and portlet outline.

### getPagePresentationContext

    public PagePresentationContext getPagePresentationContext()

  Return the portlets parent PagePresentationContext.

  Returns
    If this portlet is placed on a page then a reference to the parent page's backing context, otherwise null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved